package com.yc.education.service;

import com.yc.education.model.NewsType;

import java.util.List;

/**
 * @author Hickey
 * @create 2019-07-23 14:46
 */
public interface INewsTypeService extends  IService<NewsType> {
    //前台  查询所有新闻类别信息
    List<NewsType> listAllType();

    //前台  查询类别中权重最大的类别id,传给新闻中心界面
    NewsType listIdByWeight();

    //后台 查询所有新闻类别并分页
    List<NewsType> listAllType(Integer pageNum,Integer pageSize);

    //后台管理 批量删除类别
    int deleteTypeArray(int [] typeArray);

}
